Subject: Re: [bitcoin-dev] On a new community process to specify covenants

From: Bram Cohen <[email-masked]>
Date: Tue, 26 Jul 2022 09:02:03 -0700

On Mon, Jul 25, 2022 at 8:21 PM Antoine Riard <[email-masked]>
wrote:

> What would be the canonical definition and examples of capabilities in the
> Bitcoin context ?
>

Payments into vaults which can only be accepted by that vault and are
guaranteed to be subject to the vault's restrictions (the vault has a
capability)

Oracles whose validity can be verified on chain (so transactions can depend
on what they say. The oracle has a capability)

Colored coins whose validity can be verified on chain (the colored coins
have a capability)